import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {HomeService} from "../../home.service";

@Component({
    selector: 'page-year-report',
    templateUrl: 'year-report.html',
})
export class YearReportPage {

    ndbg_id;
    unit_id;
    reportObj;

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private homeSer: HomeService) {
        this.unit_id = this.navParams.get('unit_id');
        this.ndbg_id = this.navParams.get('ndbg_id');
    }

    ionViewDidLoad() {
        const data = {
            openid: '1',
            ndbg_id: this.ndbg_id,
            unit_id: this.unit_id
        }
        this.homeSer.yearreportdetail(data).subscribe(
            (res) => {
                this.reportObj = res.page.object;
            }
        )
    }

}
